# Herramienta de programación

Ian
Reinhart
Geiser

     geiseri@kde.org

2006-06-01
Entorno de escritorio K
makekdewidgets
1

# makekdewidgets

Compila el complemento del elemento gráfico de &Qt; a partir de un archivo de descripción de estilo ini.

    makekdewidgets opciones-&Qt; opciones-&kde; archivo

## Descripción

`makekdewidgets` compila el complemento del elemento gráfico de &Qt; a partir de un archivo de descripción de estilo ini.

## Opciones

### Argumentos:

archivo

  Archivo de entrada

### Opciones:

`-o <archivo>`

  Archivo de salida

`-n <nombre complemento>`

  Nombre de la clase de complemento para generar [WidgetsPlugin]

`-g <grupo>`

  Nombre de grupo del elemento gráfico predeterminado para mostrarlo en el diseñador [personalizado]

`-p <dir mapa puntos>`

  Mapas de puntos empotrados de una carpeta fuente

### Opciones genéricas:

`--help`

  Muestra ayuda sobre las opciones

`--help-qt`

  Muestra las opciones específicas de &Qt;

`--help-kde`

  Muestra las opciones específicas de &kde;

`--help-all`

  Muestra todas las opciones

`--author`

  Muestra información del autor

`-v, --version`

  Muestra información de la versión

`--license`

  Muestra información de la licencia

### Opciones de &kde;:

`--caption <etiqueta>`

  Utiliza «etiqueta» como nombre en la barra de título

`--icon <icono>`

  Utiliza «icono» como icono de la aplicación

`--miniicon <icono>`

  Utiliza «icono» como icono de la aplicación

`--config <nombrearchivo>`

  Utiliza un archivo de configuración alternativo

`--dcopserver <servidor>`

  Utiliza el servidor &DCOP; especificado en «servidor»

`--nocrashhandler`

  Desactiva el manejador de cuelgues para conseguir volcados del núcleo

`--waitforwm`

  Espera par un administrador de ventanas compatible con WM_NET

`--style <estilo>`

  Establece el estilo &GUI; de la aplicación

`--geometry <geometría>`

  Establece la geometría del cliente en el componente principal. Utilice man X para ver el formato del argumento

### Opciones de &Qt;:

`--display <nombrepantalla>`

  Utiliza la pantalla del servidor X «nombrepantalla»

`--session <sesiónantigua>`

  Restaura la aplicación para la «sesiónantigua» proporcionada

`--cmap`

  Hace que la aplicación instale un mapa de color privado en una pantalla de 8 bit

`--ncols <cantidad>`

  Limita el número de colores situados en el cubo de color en una pantalla de 8 bit, si la aplicación está usando la especificación de color QApplication::ManyColor

`--nograb`

  Le dice a &Qt; no se haga nunca con el ratón o el teclado

`--sync`

  Cambia al modo asíncrono para depuración

`--fn, --font <nombreletra>`

  Define el tipo de letra de la aplicación

`--bg, --background <color>`

  Establece el color predeterminado del fondo y una paleta de aplicación (se calculan las sombras claras y las oscuras)

`--fg, --foreground <color>`

  Establece el color predeterminado para el primer plano

`--btn, --button <color>`

  Establece el color predeterminado del botón

`--name <nombre>`

  Establece el nombre de la aplicación

`--title <título>`

  Establece el título de la aplicación (etiqueta)

`--visual TrueColor`

  Fuerza a la aplicación para que use visualización de color real en una pantalla de 8 bit

`--inputstyle <estilo entrada>`

  Establece el estilo de entrada XIM (X Input Method -método de entrada X-). Los posibles valores son onthespot, overthespot, offthespot, y root

`--im <servidor XIM>`

  Establece el servidor XIM

`--noxim`

  Desactiva XIM

`--reverse`

  Invierte la distribución completa de los elementos gráficos

## Consulte también

`http://developer.kde.org`

  Sitio web de la esquina del desarrollador de &kde;

## Fallos

Por favor, para informar sobre fallos utilice bugs.kde.org, no envíe correos electrónicos directamente a los autores.